org.wildfly.swarm.config

## Class JCA<T extends JCA<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.JCA<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    JCAFraction

      public class JCA<T extends JCA<T>>
      extends HashMap

  The Java EE Connector Architecture (JCA) subsystem providing general configuration for resource adapters
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCA.JCAResources` Child mutators for JCA

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `archiveValidation()` Archive validation for resource adapters
    `T` | `archiveValidation(ArchiveValidation value)` Archive validation for resource adapters
    `T` | `archiveValidation(ArchiveValidationConsumer consumer)` Archive validation for resource adapters
    `T` | `archiveValidation(ArchiveValidationSupplier supplier)` Archive validation for resource adapters
    `T` | `beanValidation()` Bean validation (JSR-303) for resource adapters
    `T` | `beanValidation(BeanValidation value)` Bean validation (JSR-303) for resource adapters
    `T` | `beanValidation(BeanValidationConsumer consumer)` Bean validation (JSR-303) for resource adapters
    `T` | `beanValidation(BeanValidationSupplier supplier)` Bean validation (JSR-303) for resource adapters
    `T` | `bootstrapContext(BootstrapContext value)` Add the BootstrapContext object to the list of subresources
    `T` | `bootstrapContext(BootstrapContextSupplier supplier)` Install a supplied BootstrapContext object to the list of subresources
    `T` | `bootstrapContext(String childKey)` Create and configure a BootstrapContext object to the list of subresources
    `T` | `bootstrapContext(String childKey, BootstrapContextConsumer consumer)` Create and configure a BootstrapContext object to the list of subresources
    `T` | `bootstrapContexts(List<BootstrapContext> value)` Add all BootstrapContext objects to this subresource
    `T` | `cachedConnectionManager()` Cached connection manager for resource adapters
    `T` | `cachedConnectionManager(CachedConnectionManager value)` Cached connection manager for resource adapters
    `T` | `cachedConnectionManager(CachedConnectionManagerConsumer consumer)` Cached connection manager for resource adapters
    `T` | `cachedConnectionManager(CachedConnectionManagerSupplier supplier)` Cached connection manager for resource adapters
    `T` | `distributedWorkmanager(DistributedWorkmanager value)` Add the DistributedWorkmanager object to the list of subresources
    `T` | `distributedWorkmanager(DistributedWorkmanagerSupplier supplier)` Install a supplied DistributedWorkmanager object to the list of subresources
    `T` | `distributedWorkmanager(String childKey)` Create and configure a DistributedWorkmanager object to the list of subresources
    `T` | `distributedWorkmanager(String childKey, DistributedWorkmanagerConsumer consumer)` Create and configure a DistributedWorkmanager object to the list of subresources
    `T` | `distributedWorkmanagers(List<DistributedWorkmanager> value)` Add all DistributedWorkmanager objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `JCA.JCAResources` | `subresources()`
    `T` | `tracer()` Tracer for resource adapters
    `T` | `tracer(Tracer value)` Tracer for resource adapters
    `T` | `tracer(TracerConsumer consumer)` Tracer for resource adapters
    `T` | `tracer(TracerSupplier supplier)` Tracer for resource adapters
    `T` | `workmanager(String childKey)` Create and configure a Workmanager object to the list of subresources
    `T` | `workmanager(String childKey, WorkmanagerConsumer consumer)` Create and configure a Workmanager object to the list of subresources
    `T` | `workmanager(Workmanager value)` Add the Workmanager object to the list of subresources
    `T` | `workmanager(WorkmanagerSupplier supplier)` Install a supplied Workmanager object to the list of subresources
    `T` | `workmanagers(List<Workmanager> value)` Add all Workmanager objects to this subresource

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JCA

          public JCA()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public JCA.JCAResources subresources()

    - #### distributedWorkmanagers

          public T distributedWorkmanagers(List<DistributedWorkmanager> value)

      Add all DistributedWorkmanager objects to this subresource
      Parameters:
        `value` - List of DistributedWorkmanager objects.
      Returns:
        this

    - #### distributedWorkmanager

          public T distributedWorkmanager(DistributedWorkmanager value)

      Add the DistributedWorkmanager object to the list of subresources
      Parameters:
        `value` - The DistributedWorkmanager to add
      Returns:
        this

    - #### distributedWorkmanager

          public T distributedWorkmanager(String childKey,
                                          DistributedWorkmanagerConsumer consumer)

      Create and configure a DistributedWorkmanager object to the list of subresources
      Parameters:
        `key` - The key for the DistributedWorkmanager resource
        `config` - The DistributedWorkmanagerConsumer to use
      Returns:
        this

    - #### distributedWorkmanager

          public T distributedWorkmanager(String childKey)

      Create and configure a DistributedWorkmanager object to the list of subresources
      Parameters:
        `key` - The key for the DistributedWorkmanager resource
      Returns:
        this

    - #### distributedWorkmanager

          public T distributedWorkmanager(DistributedWorkmanagerSupplier supplier)

      Install a supplied DistributedWorkmanager object to the list of subresources

    - #### workmanagers

          public T workmanagers(List<Workmanager> value)

      Add all Workmanager objects to this subresource
      Parameters:
        `value` - List of Workmanager objects.
      Returns:
        this

    - #### workmanager

          public T workmanager(Workmanager value)

      Add the Workmanager object to the list of subresources
      Parameters:
        `value` - The Workmanager to add
      Returns:
        this

    - #### workmanager

          public T workmanager(String childKey,
                               WorkmanagerConsumer consumer)

      Create and configure a Workmanager object to the list of subresources
      Parameters:
        `key` - The key for the Workmanager resource
        `config` - The WorkmanagerConsumer to use
      Returns:
        this

    - #### workmanager

          public T workmanager(String childKey)

      Create and configure a Workmanager object to the list of subresources
      Parameters:
        `key` - The key for the Workmanager resource
      Returns:
        this

    - #### workmanager

          public T workmanager(WorkmanagerSupplier supplier)

      Install a supplied Workmanager object to the list of subresources

    - #### bootstrapContexts

          public T bootstrapContexts(List<BootstrapContext> value)

      Add all BootstrapContext objects to this subresource
      Parameters:
        `value` - List of BootstrapContext objects.
      Returns:
        this

    - #### bootstrapContext

          public T bootstrapContext(BootstrapContext value)

      Add the BootstrapContext object to the list of subresources
      Parameters:
        `value` - The BootstrapContext to add
      Returns:
        this

    - #### bootstrapContext

          public T bootstrapContext(String childKey,
                                    BootstrapContextConsumer consumer)

      Create and configure a BootstrapContext object to the list of subresources
      Parameters:
        `key` - The key for the BootstrapContext resource
        `config` - The BootstrapContextConsumer to use
      Returns:
        this

    - #### bootstrapContext

          public T bootstrapContext(String childKey)

      Create and configure a BootstrapContext object to the list of subresources
      Parameters:
        `key` - The key for the BootstrapContext resource
      Returns:
        this

    - #### bootstrapContext

          public T bootstrapContext(BootstrapContextSupplier supplier)

      Install a supplied BootstrapContext object to the list of subresources

    - #### cachedConnectionManager

          public T cachedConnectionManager(CachedConnectionManager value)

      Cached connection manager for resource adapters

    - #### cachedConnectionManager

          public T cachedConnectionManager(CachedConnectionManagerConsumer consumer)

      Cached connection manager for resource adapters

    - #### cachedConnectionManager

          public T cachedConnectionManager()

      Cached connection manager for resource adapters

    - #### cachedConnectionManager

          public T cachedConnectionManager(CachedConnectionManagerSupplier supplier)

      Cached connection manager for resource adapters

    - #### beanValidation

          public T beanValidation(BeanValidation value)

      Bean validation (JSR-303) for resource adapters

    - #### beanValidation

          public T beanValidation(BeanValidationConsumer consumer)

      Bean validation (JSR-303) for resource adapters

    - #### beanValidation

          public T beanValidation()

      Bean validation (JSR-303) for resource adapters

    - #### beanValidation

          public T beanValidation(BeanValidationSupplier supplier)

      Bean validation (JSR-303) for resource adapters

    - #### tracer

          public T tracer(Tracer value)

      Tracer for resource adapters

    - #### tracer

          public T tracer(TracerConsumer consumer)

      Tracer for resource adapters

    - #### tracer

          public T tracer()

      Tracer for resource adapters

    - #### tracer

          public T tracer(TracerSupplier supplier)

      Tracer for resource adapters

    - #### archiveValidation

          public T archiveValidation(ArchiveValidation value)

      Archive validation for resource adapters

    - #### archiveValidation

          public T archiveValidation(ArchiveValidationConsumer consumer)

      Archive validation for resource adapters

    - #### archiveValidation

          public T archiveValidation()

      Archive validation for resource adapters

    - #### archiveValidation

          public T archiveValidation(ArchiveValidationSupplier supplier)

      Archive validation for resource adapters

Copyright © 2018 JBoss by Red Hat. All rights reserved.